org.springframework.web.reactive.function.server

## Interface ServerResponse.Context

Enclosing interface:
  ServerResponse

    public static interface ServerResponse.Context

Defines the context used during the `ServerResponse.writeTo(ServerWebExchange, Context)`.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<org.springframework.http.codec.HttpMessageWriter<?>>` `messageWriters()` Return the `HttpMessageWriters` to be used for response body conversion.
`List<ViewResolver>` `viewResolvers()` Return the `ViewResolvers` to be used for view name resolution.

### Method Detail

#### messageWriters

    List<org.springframework.http.codec.HttpMessageWriter<?>> messageWriters()

Return the `HttpMessageWriters` to be used for response body conversion.

Returns:
  the list of message writers

#### viewResolvers

    List<ViewResolver> viewResolvers()

Return the `ViewResolvers` to be used for view name resolution.

Returns:
  the list of view resolvers